---
hide:
  - navigation
---

# API Reference

::: unblob.models.Handler
    handler: python
    options:
      members:
        - get_dependencies
        - calculate_chunk
        - extract
      show_root_heading: true
      show_source: true

::: unblob.models.StructHandler
    handler: python
    options:
      members:
        - parse_header
      show_root_heading: true
      show_source: true

::: unblob.models.DirectoryHandler
    handler: python
    options:
      members:
        - get_dependencies
        - calculate_multifile
        - extract
      show_root_heading: true
      show_source: true

::: unblob.models.Extractor
    handler: python
    options:
      members:
        - get_dependencies
        - extract
      show_root_heading: true
      show_source: true

::: unblob.models.DirectoryExtractor
    handler: python
    options:
      members:
        - get_dependencies
        - extract
      show_root_heading: true
      show_source: true
